Support » Plugin: Church Community Builder Core API » compatibility with php 7.2?

  • Resolved blueoaks

    (@blueoaks)


    Hello,
    Using the Php Compatibility Checker plugin to see if my site was 7.2 compatible, only this plugin failed the test. Are there any plans to update for php7.2?

    thanks

    FILE: /../public_html/wp-content/plugins/church-community-builder-core-api/lib/class-ccb-core-vendor-encryption.php
    ———————————————————————————————————————————————————
    FOUND 15 ERRORS AFFECTING 7 LINES
    ———————————————————————————————————————————————————
    81 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    81 | ERROR | Function mcrypt_decrypt() is deprecated since PHP 7.1 and removed since PHP 7.2; Use OpenSSL instead
    97 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    97 | ERROR | Function mcrypt_create_iv() is deprecated since PHP 7.1 and removed since PHP 7.2; Use random_bytes() or OpenSSL instead
    97 | ERROR | The constant “MCRYPT_RAND” is deprecated since PHP 7.1 and removed since PHP 7.2
    102 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    102 | ERROR | Function mcrypt_encrypt() is deprecated since PHP 7.1 and removed since PHP 7.2; Use OpenSSL instead
    118 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    118 | ERROR | Function mcrypt_get_iv_size() is deprecated since PHP 7.1 and removed since PHP 7.2; Use OpenSSL instead
    119 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    119 | ERROR | Function mcrypt_get_key_size() is deprecated since PHP 7.1 and removed since PHP 7.2; Use OpenSSL instead
    169 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    169 | ERROR | Function mcrypt_get_block_size() is deprecated since PHP 7.1 and removed since PHP 7.2; Use OpenSSL instead
    184 | ERROR | Extension ‘mcrypt’ is deprecated since PHP 7.1 and removed since PHP 7.2; Use openssl (preferred) or pecl/mcrypt once available instead
    184 | ERROR | Function mcrypt_get_block_size() is deprecated since PHP 7.1 and removed since PHP 7.2; Use OpenSSL instead
    ———————————————————————————————————————————————————

    FILE: /../public_html/wp-content/plugins/church-community-builder-core-api/includes/class-ccb-core-helpers.php
    —————————————————————————————————————————————————-
    FOUND 2 ERRORS AFFECTING 2 LINES
    —————————————————————————————————————————————————-
    118 | ERROR | The constant “MCRYPT_MODE_CBC” is deprecated since PHP 7.1 and removed since PHP 7.2
    144 | ERROR | The constant “MCRYPT_MODE_CBC” is deprecated since PHP 7.1 and removed since PHP 7.2
    —————————————————————————————————————————————————-

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Jared Cobb

    (@jaredcobb)

    Thanks for the report.

    To answer your bigger question, yes, I will certainly be supporting PHP 7.2 and all future versions after that.

    I do currently have work started to replace this library (which uses the mcrypt extension). It should be available in the next few weeks. Hopefully you don’t need to upgrade all the way to 7.2 before then. 🙂

    Thanks Jared. No rush as far as I’m concerned. Just curious mainly. I am not sure I would even notice much of a performance difference between 7.0 and 7.2. Someone else using my theme recommended 7.2 so I thought I’d run the test.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘compatibility with php 7.2?’ is closed to new replies.